Sonarr installeren via de command line Ubuntu

In deze handleiding “Sonarr installeren via de command line Ubuntu” gaan we Sonarr installeren. Ik gebruik Ubuntu maar dit werkt waarschijnlijk ook op andere variante van Lunix.

We gaan de software verversen voor nieuw updates.

sudo apt-get update && sudo apt-get upgrade -y

Om er zeker van te zijn dat je de laatste versie krijgt van Sonarr.

sudo apt-key adv –keyserver hkp://keyserver.ubuntu.com:80 –recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF
echo “deb http://download.mono-project.com/repo/debian wheezy main” | sudo tee /etc/apt/sources.list.d/mono-xamarin.list

Installatie mogelijkheid om van uit https te installeren mogelijk maken.

sudo apt-get install apt-transport-https -y

De installatie bron toevoegen voor het programma Sonarr.

sudo apt-key adv –keyserver keyserver.ubuntu.com –recv-keys FDA5DFFC
echo “deb https://apt.sonarr.tv/ master main” | sudo tee -a /etc/apt/sources.list.d/sonarr.list

Sonarr downloaden en installeren.

sudo apt-get update
sudo apt-get install nzbdrone -y

Nu nog de rechten  goed zetten op de map.

sudo chown -R jegebruikersnaam /opt/NzbDrone

Je bent nu klaar met de installatie van Sonarr.

Sonarr automatisch starten Ubuntu

We gaan een Scriptje aanmaken om Sonarr automatich te starten als Ubuntu wordt gestart.

sudo nano /etc/init.d/nzbdrone

Plak het volgende script hier in en verander alleen de gebruikers naam.

APP_PATH=/opt/NzbDrone

# Gebruikersnaam
RUN_AS=je gebruikers naam

# path to mono bin
DAEMON=$(which mono)

# Locatie om PID file op te slaan.
PID_FILE=/var/run/nzbdrone/nzbdrone.pid
PID_PATH=$(dirname $PID_FILE)

# script naam
NAME=nzbdrone

# app naam
DESC=NzbDrone

# opstarts args
EXENAME=”NzbDrone.exe”
DAEMON_OPTS=” “$EXENAME

############### einde bewerk mij ##################

NZBDRONE_PID=`ps auxf | grep NzbDrone.exe | grep -v grep | awk ‘{print $2}’`

test -x $DAEMON || exit 0

set -e

#Look for PID and create if doesn’t exist
if [ ! -d $PID_PATH ]; then
mkdir -p $PID_PATH
chown $RUN_AS $PID_PATH
fi

if [ ! -d $DATA_DIR ]; then
mkdir -p $DATA_DIR
chown $RUN_AS $DATA_DIR
fi

if [ -e $PID_FILE ]; then
PID=`cat $PID_FILE`
if ! kill -0 $PID > /dev/null 2>&1; then
echo “Removing stale $PID_FILE”
rm $PID_FILE
fi
fi

echo $NZBDRONE_PID > $PID_FILE

case “$1” in
start)
if [ -z “${NZBDRONE_PID}” ]; then
echo “Starting $DESC”
rm -rf $PID_PATH || return 1
install -d –mode=0755 -o $RUN_AS $PID_PATH || return 1
start-stop-daemon -d $APP_PATH -c $RUN_AS –start –background –pidfile $PID_FILE –exec $DAEMON — $DAEMON_OPTS
else
echo “NzbDrone already running.”
fi
;;
stop)
echo “Stopping $DESC”
echo $NZBDRONE_PID > $PID_FILE
start-stop-daemon –stop –pidfile $PID_FILE –retry 15
;;

restart|force-reload)
echo “Restarting $DESC”
start-stop-daemon –stop –pidfile $PID_FILE –retry 15
start-stop-daemon -d $APP_PATH -c $RUN_AS –start –background –pidfile $PID_FILE –exec $DAEMON — $DAEMON_OPTS
;;
status)
# Use LSB function library if it exists
if [ -f /lib/lsb/init-functions ]; then
. /lib/lsb/init-functions
if [ -e $PID_FILE ]; then
status_of_proc -p $PID_FILE “$DAEMON” “$NAME” && exit 0 || exit $?
else
log_daemon_msg “$NAME is not running”
exit 3
fi

else
# Use basic functions
if [ -e $PID_FILE ]; then
PID=`cat $PID_FILE`
if kill -0 $PID > /dev/null 2>&1; then
echo ” * $NAME is running”
exit 0
fi
else
echo ” * $NAME is not running”
exit 3
fi
fi
;;
*)
N=/etc/init.d/$NAME
echo “Usage: $N {start|stop|restart|force-reload|status}” >&2
exit 1
;;
esac

exit 0

Sla dit script bestand op. (ctrl+x en vervolgens Y en dan een enter)

Nu het scriptje uitvoer rechten geven.

sudo chmod +x /etc/init.d/nzbdrone

Scriptje meenemen tijdens opstarten.

sudo update-rc.d nzbdrone defaults

Je bent nu klaar met de installatie van het opstart script.

Je kan het testen met het volgende commando. (computer wordt opnieuw gestart)

sudo reboot

Je hebt Sonarr nu geïnstalleerd op Ubuntu en Sonarr start automatisch op.

Share This

Geef een reactie